=== debian/changelog ===
unity-2d (0.4-0ubuntu1~bzr457unity2d2charlotte9) lucid; urgency=low

  * Do not call bamf_matcher_register_favorites; it's an API we do not
    have and causes FTBFS.

 -- Alex Chiang <achiang@canonical.com>  Wed, 15 Jun 2011 10:00:14 -0600

unity-2d (0.4-0ubuntu1~bzr457unity2d2charlotte8) lucid; urgency=low

  * Rebuild to fix FTBFS.

 -- Alex Chiang <achiang@canonical.com>  Wed, 15 Jun 2011 08:27:48 -0600

unity-2d (0.4-0ubuntu1~bzr457unity2d2charlotte7) lucid; urgency=low

  * Turn off compositing manager gconf key (LP: #797235)

 -- Alex Chiang <achiang@canonical.com>  Wed, 15 Jun 2011 07:46:36 -0600

unity-2d (0.4-0ubuntu1~bzr457unity2d2charlotte6) lucid; urgency=low

  * Remove chromium from launcher (LP: #795776)

 -- Alex Chiang <achiang@canonical.com>  Fri, 10 Jun 2011 16:41:40 -0600

unity-2d (0.4-0ubuntu1~bzr457unity2d2charlotte5) lucid; urgency=low

  * Fix typos in compositing gconf keys

 -- Alex Chiang <achiang@canonical.com>  Tue, 24 May 2011 15:13:42 -0600

unity-2d (0.4-0ubuntu1~bzr457unity2d2charlotte4) lucid; urgency=low

  * Set appropriate gconf keys for compositing manager and effects.
  * Increase launcher/dash alpha to 0.71, now that we have compositing.

 -- Alex Chiang <achiang@canonical.com>  Mon, 23 May 2011 11:36:19 -0600

unity-2d (0.4-0ubuntu1~bzr457unity2d2charlotte3) lucid; urgency=low

  * If there's a compositor running let the fullscreen dash and the
    launcher use real transparency (LP: #772118)

 -- Alex Chiang <achiang@canonical.com>  Fri, 20 May 2011 10:27:02 -0600

unity-2d (0.4-0ubuntu1~bzr457unity2d2charlotte2) lucid; urgency=low

  * launcher/UnityApplications/launcherapplication.cpp: a fix for LP: #768539
    introduced a small regression, where we no longer display GenericName,
    so fix the place where we ask for the app's name (LP: #778548)
  * places/SearchEntry.qml: wait a little longer before searching for the
    user's search term; this prevents us from doing multiple, false searches
    which performs poorly and looks bad on our hardware (LP: #772036)

 -- Alex Chiang <achiang@canonical.com>  Thu, 19 May 2011 09:07:06 -0600

unity-2d (0.4-0ubuntu1~bzr457unity2d2charlotte1) lucid; urgency=low

  * Merge with OEM upstream

 -- Alex Chiang <achiang@canonical.com>  Wed, 11 May 2011 22:56:58 -0600

unity-2d (0.4-0ubuntu1~bzr457unity2d2) lucid; urgency=low

  * Launcher.qml: cache launcher items to improve scrolling (LP: #780566)

 -- Alex Chiang <achiang@canonical.com>  Wed, 11 May 2011 22:53:56 -0600

unity-2d (0.4-0ubuntu1~bzr457unity2d1charlotte4) lucid; urgency=low

  * Fix a comment in HomeButtonApplication.qml. Need to use C style
    comment delimiters, not shell style; using '#' causes dash to break

 -- Alex Chiang <achiang@canonical.com>  Tue, 03 May 2011 08:51:42 -0600

unity-2d (0.4-0ubuntu1~bzr457unity2d1charlotte3) lucid; urgency=low

  * Rework the dash homescreen default applications (LP: #768755)

 -- Alex Chiang <achiang@canonical.com>  Mon, 02 May 2011 13:00:07 -0600

unity-2d (0.4-0ubuntu1~bzr457unity2d1charlotte2) lucid; urgency=low

  * Set default label text in HomeButtonApplication.qml to help support
    the changes we want for LP: #768755

 -- Alex Chiang <achiang@canonical.com>  Mon, 02 May 2011 11:53:19 -0600

unity-2d (0.4-0ubuntu1~bzr457unity2d1charlotte1) lucid; urgency=low

  * Merge with OEM upstream

 -- Alex Chiang <achiang@canonical.com>  Fri, 22 Apr 2011 11:02:20 -0600

unity-2d (0.4-0ubuntu1~bzr457unity2d1) lucid; urgency=low

  * Merge with upstream to get fixes for:
    - Midori (Close,Minimize,Maximize) buttons are missing (LP: #753702)
    - Old Open Office Icons are still displaying (LP: #768539)

 -- Alex Chiang <achiang@canonical.com>  Fri, 22 Apr 2011 11:00:16 -0600

unity-2d (0.4-0ubuntu1~bzr453unity2d1charlotte1) lucid; urgency=low

  * Merge with OEM upstream
  * places/Home.qml: make 'Photos' item launch Shotwell (LP: #761857)

 -- Alex Chiang <achiang@canonical.com>  Fri, 22 Apr 2011 08:46:40 -0600

unity-2d (0.4-0ubuntu1~bzr453unity2d1) lucid; urgency=low

  * Merge with upstream to get fix for LP: #768750

 -- Alex Chiang <achiang@canonical.com>  Fri, 22 Apr 2011 08:29:28 -0600

unity-2d (0.4-0ubuntu1~bzr452unity2d1charlotte2) lucid; urgency=low

  * launcher/LauncherItem.qml: decrease duration of launch pulsing, and
    make it only loop once, to make launching apps faster (LP: #758740)
  * places/Home.qml: make 'Photos' item open Nautilus in $HOME/Pictures
    (LP: #757773)
  * debian/20_unity-2d-gconf-default: add nautilus back to Launcher
    (LP: #760913)

 -- Alex Chiang <achiang@canonical.com>  Thu, 14 Apr 2011 16:57:03 -0600

unity-2d (0.4-0ubuntu1~bzr452unity2d1charlotte1) lucid; urgency=low

  * Merge with OEM upstream

 -- Alex Chiang <achiang@canonical.com>  Thu, 14 Apr 2011 09:12:17 -0600

unity-2d (0.4-0ubuntu1~bzr452unity2d1) lucid; urgency=low

  * Merge with upstream to pick up fix for LP: #745013

 -- Alex Chiang <achiang@canonical.com>  Thu, 14 Apr 2011 09:07:50 -0600

unity-2d (0.4-0ubuntu1~bzr451unity2d1charlotte2) lucid; urgency=low

  * Add launcher transparency. This is merely QML, uses the same logic as
    the dash, and is therefore a lot safer than messing around with panel
    transparency. Finally, it's a bigger win to get just this piece of
    functionality, versus going for the panel too.

 -- Alex Chiang <achiang@canonical.com>  Thu, 07 Apr 2011 14:08:17 -0600

unity-2d (0.4-0ubuntu1~bzr451unity2d1charlotte1) lucid; urgency=low

  * Merge with OEM upstream to pick up fix for (LP: #747751)

 -- Alex Chiang <achiang@canonical.com>  Thu, 07 Apr 2011 11:04:19 -0600

unity-2d (0.4-0ubuntu1~bzr451unity2d1) lucid; urgency=low

  * Merge with upstream

 -- Alex Chiang <achiang@canonical.com>  Thu, 07 Apr 2011 10:35:20 -0600

unity-2d (0.4-0ubuntu1~bzr444unity2d1charlotte4) UNRELEASED; urgency=low

  * Revert alpha blending, and revert fake compositing. The compositing
    exposes an X crasher (LP: #752636), which we do not have time to fix.


