=== debian/control ===
Source: unity-2d
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Olivier Tilloy <olivier.tilloy@canonical.com>
Build-Depends: cdbs, debhelper (>= 7),
               cmake, bzr, libqt4-dev,
               libglib2.0-dev (>= 2.26.0-0ubuntu1~unity2d2), libgtk2.0-dev, libwnck-dev,
               libqtgconf-dev, libqtbamf-dev, libqtdee-dev, libdbusmenu-qt-dev,
               libx11-dev, libindicator-dev, libgtk2.0-dev,
               libstartup-notification0-dev
Standards-Version: 3.9.1
Vcs-Bzr: https://code.launchpad.net/~oem-solutions-group/charlotte/unity-2d

Package: unity-2d
Architecture: all
Depends: ${misc:Depends},
 unity-2d-launcher, unity-2d-panel, unity-2d-places, unity-2d-spread,
 metacity ( >= 2.30.2-0ubuntu1upicek4 ), gnome-session-bin,
 light-themes ( >= 0.1.8.2~ )
Recommends: indicator-application, indicator-datetime, 
 indicator-me, indicator-messages, indicator-session, indicator-sound, 
 gnome-settings-daemon, nautilus, policykit-1-gnome, gnome-power-manager, 
 appmenu-gtk,
 gtk2-engines-pixbuf
Provides: unity-2d-default-settings, unity-qt-default-settings
Breaks: unity-2d-default-settings (<= 0.1.33), unity-qt-default-settings (<= 0.1.28)
Replaces:  unity-2d-default-settings (<= 0.1.33), unity-qt-default-settings (<= 0.1.28)
Description: Unity interface for non-accelerated graphics cards
 The Unity 2D interface installs a fully usable 2D session and provides the 
 common configuration files and defaults. Installing this package will 
 offer a session called Unity 2D in your login manager.
 .
 Unity 2D is designed to run smoothly without any graphics acceleration.

Package: unity-2d-default-settings
Architecture: all
Depends: unity-2d
Description: Transitional package for upgrades to the new unity-2d package
 This transitional package helps users transition to the
 unity-2d package. Once this package and its dependencies
 are installed you can safely remove it.

Package: unity-qt-default-settings
Architecture: all
Depends: unity-2d
Description: dummy transitional package for unity-2d
 This transitional package helps users transition to the
 unity-2d package. Once this package and its dependencies
 are installed you can safely remove it.

Package: libunity-2d-private0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libunity-2d0 (<< 0.4-0ubuntu1~bzr403)
Replaces: libunity-2d0 (<< 0.4-0ubuntu1~bzr403)
Description: Unity 2D shared library
 This library is used to host common code used by several Unity 2D components

Package: libunity-2d-private-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libunity-2d-private0 (= ${binary:Version})
Breaks: libunity-2d-dev (<< 0.4-0ubuntu1~bzr403)
Replaces: libunity-2d-dev (<< 0.4-0ubuntu1~bzr403)
Description: Unity 2D shared library - development files
 This library is used to host common code used by several Unity 2D components
 .
 This package contains the development header files.

Package: unity-2d-launcher
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, unity-asset-pool, libqt4-svg, libunity-2d-private0
Recommends: unity-place-files, unity-place-applications
Provides: unity-qt-launcher
Breaks: unity-qt-launcher (<= 0.2)
Replaces: unity-qt-launcher (<= 0.2)
Description: Unity 2D Launcher
 The Unity 2D launcher displays a list of running applications as well as a
 list of favorite applications in a panel at the left of the screen.
 Notifications from individual applications are also highlighted in the
 launcher.
 
Package: unity-2d-panel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libunity-2d-private0
Provides: unity-qt-panel
Breaks: unity-qt-panel (<= 0.2)
Replaces: unity-qt-panel (<= 0.2)
Description: Unity 2D Panel
 The Unity 2D panel displays a top panel containing the application menu and
 various indicators. It is part of Unity 2D and can not run  as a standalone
 application outside of the Unity 2D environment.

Package: unity-2d-places
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, unity-2d-launcher, libunity-2d-private0, libqt4-svg
Provides: unity-qt-places
Breaks: unity-qt-places (<= 0.2)
Replaces: unity-qt-places (<= 0.2)
Description: Unity 2D Places
 The Unity 2D places overlay over the desktop to provide quick access to
 various categories of applications. It is part of Unity 2D and can not run
 as a standalone application outside of the Unity 2D environment.

Package: unity-2d-spread
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, unity-2d-launcher, libunity-2d-private0,
         libqt4-svg
Provides: unity-qt-spread
Breaks: unity-qt-spread (<= 0.2)
Replaces: unity-qt-spread (<= 0.2)
Description: Unity 2D Spread
 The Unity 2D spread allows you to display a quick thumbnailed view of open
 windows so you can quickly and effectively choose which one you want to 
 switch to. It is part of Unity 2D and can not run  as a standalone application
 outside of the Unity 2D environment.

Package: unity-qt-launcher
Architecture: any
Depends: ${misc:Depends}, unity-2d-launcher
Description: dummy transitional package for unity-2d-launcher
 This transitional package helps users transition to the
 unity-2d-launcher package.  Once this package and its dependencies
 are installed you can safely remove it.

Package: unity-qt-panel
Architecture: any
Depends: ${misc:Depends}, unity-2d-panel
Description: dummy transitional package for unity-2d-panel
 This transitional package helps users transition to the
 unity-2d-panel package.  Once this package and its dependencies
 are installed you can safely remove it.

Package: unity-qt-places
Architecture: any
Depends: ${misc:Depends}, unity-2d-places
Description: dummy transitional package for unity-2d-places
 This transitional package helps users transition to the
 unity-2d-places package.  Once this package and its dependencies
 are installed you can safely remove it.

Package: unity-qt-spread
Architecture: any
Depends: ${misc:Depends}, unity-2d-spread
Description: dummy transitional package for unity-2d-spread
 This transitional package helps users transition to the
 unity-2d-spread package.  Once this package and its dependencies
 are installed you can safely remove it.

Package: libuqpanel0
Architecture: any
Depends: ${misc:Depends}, libunity-2d-private0
Description: dummy transitional package for libuqpanel0
 This transitional package helps users transition to the
 libunity-2d-private0 package.  Once this package and its dependencies
 are installed you can safely remove it.

Package: libuqpanel-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libunity-2d-private-dev
Description: dummy transitional package for libuqpanel-dev
 This transitional package helps users transition to the
 libunity-2d-private-dev package.  Once this package and its dependencies
 are installed you can safely remove it.

Package: libunity-2d0
Architecture: any
Depends: ${misc:Depends}, libunity-2d-private0
Description: dummy transitional package for libunity-2d0
 This transitional package helps users transition to the
 libunity-2d-private0 package.  Once this package and its dependencies
 are installed you can safely remove it.

Package: libunity-2d-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libunity-2d-private-dev
Description: dummy transitional package for libunity-2d-dev
 This transitional package helps users transition to the
 libunity-2d-private-dev package.  Once this package and its dependencies
 are installed you can safely remove it.
