=== debian/rules ===
#!/usr/bin/make -f

# shared libraries are in plugins directory
DEB_DH_MAKESHLIBS_ARGS :=-n

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk

common-build-indep::
	$(MAKE) -C $(DEB_BUILDDIR) update-po
