## unity-2d 3.8.3

=== debian/changelog ===
unity-2d (3.8.3-0ubuntu1~bzr525) natty; urgency=low

  * Home screen to launch maximized

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Fri, 08 Apr 2011 13:06:35 -0400

unity-2d (3.8.2-0ubuntu1) natty; urgency=low

  [ Oliver Grawert ]
  * New upstream bugfix release
   - (LP: #632526)  Dash elipsizes file and application names too soon, making them
     unreadable
   - (LP: #669926) [launcher] Web favorites support
   - (LP: #708479) Dash view should use "Prefferred Applications" icons where
     appropriate
   - (LP: #718686) [dash] Group of results sometimes badly positioned
   - (LP: #727483) unity-2d-panel crashed with SIGSEGV in g_return_if_fail_warning()
   - (LP: #731449) [launcher] Dragging a tile at the top of the launcher while
     autoscrolling makes autoscroll wrong afterwards
   - (LP: #736097) [dash] home screen misses icons for applications that are not
     installed
   - (LP: #744999) [launcher] launchers are truncated when too many items to fit
     onscreen
   - (LP: #745077) [spread] clicking launcher with open windows not working correctly
     across workspaces
   - (LP: #745237) [dash] search field default string not translated
   - (LP: #746693) [launcher] .places messages not i18nized
   - (LP: #747836) [dash] Banshee no longer works from the dash home page in 3.8.2
   - (LP: #750753) [dash] showing/hiding places causing graphical corruption
   - (LP: #670608) [dash] Home screen customization should be easy
   - (LP: #683084) Global menu doesn't work well with more than one screen
   - (LP: #714646) [launcher] icons jagged edges during animation
   - (LP: #717744) [panel] inactive menus are clickable
   - (LP: #729002) First four items in Dash begin "Find" "Find" "Find" "Find"
   - (LP: #745758) [spread] super+s should toggle the workspace switcher
   - (LP: #751284) [launcher] Escaping of title broken with webfavorites
   - (LP: #751325) [panel] circle of friends button icon needs to be updated to match
     Unity's
   - (LP: #697816) [launcher] if an urgent window is available then the spread should
     not be activated
   - (LP: #729478) [launcher] Clicking middle mouse button should launch another
     instance of application
   - (LP: #750244) [launcher] Newly installed lenses don’t appear
   - (LP: #752948) Home's "Shortcuts" not i18n/l10n

  [ Aurélien Gâteau ]
  * Include .mo files in unity-2d package (LP: #751425)

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 08 Apr 2011 16:03:10 +0200

unity-2d (3.8.1-0ubuntu1) natty; urgency=low

  * Upstream bugfix to fix global search showing no results (LP: #741201)

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 23 Mar 2011 20:52:29 +0100

unity-2d (3.8-0ubuntu1) natty; urgency=low

  * New upstream bugfix release
   - fixes (LP: #580295),(LP: #670403),(LP: #676457),(LP: #706247),
   (LP: #708429),(LP: #719507),(LP: #724717),(LP: #726712),(LP: #726715),
   (LP: #726727),(LP: #727164),(LP: #727409),(LP: #730499),(LP: #733244),
   (LP: #733960),(LP: #738025),(LP: #739417),(LP: #740137),(LP: #740280),
   (LP: #691114),(LP: #701543),(LP: #701546),(LP: #703389),(LP: #703396),
   (LP: #705642),(LP: #706248),(LP: #706713),(LP: #709280),(LP: #711081),
   (LP: #714707),(LP: #716167),(LP: #721049),(LP: #722711),(LP: #722713),
   (LP: #723604),(LP: #726630),(LP: #726682),(LP: #726716),(LP: #727883),
   (LP: #729699),(LP: #730638),(LP: #730880),(LP: #732978),(LP: #733154),
   (LP: #733897),(LP: #733959),(LP: #734143),(LP: #738332),(LP: #683026),
   (LP: #718866),(LP: #721121),(LP: #724316),(LP: #731165),(LP: #734074),
   (LP: #735500),(LP: #716506),(LP: #733150),(LP: #672447),(LP: #716580),
   (LP: #728291),(LP: #730884),(LP: #731263),(LP: #731266)

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 23 Mar 2011 15:31:16 +0100

unity-2d (3.6.2-0ubuntu2) natty; urgency=low

  * do not run pkgbinarymangler to convert images to 8bit since this breaks
    the launcher icon background handling
    (QT upstream bug: http://bugreports.qt.nokia.com/browse/QTBUG-4459)

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 18 Mar 2011 13:08:56 +0100

unity-2d (3.6.2-0ubuntu1) natty; urgency=low

  * New upstream bugfix release

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 15 Mar 2011 17:59:55 +0100

unity-2d (3.6.1-0ubuntu1) natty; urgency=low

  * New Upstream, fix FTBFS with po files generation

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 24 Feb 2011 15:19:02 +0100

unity-2d (3.6.0-0ubuntu1) natty; urgency=low

  * New Upstream version

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 24 Feb 2011 13:45:27 +0100

unity-2d (3.2.2-0ubuntu1) natty; urgency=low

  * new upstream version

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 28 Jan 2011 15:41:48 +0100

unity-2d (3.2.1-0ubuntu1) natty; urgency=low

  * new upstream version, we have minor upstream versions now

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 27 Jan 2011 15:00:23 +0100

unity-2d (3.2-0ubuntu3) natty; urgency=low

  * Conflicts/Replaces needs to be Breaks/Replaces

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 26 Jan 2011 20:36:09 +0100

unity-2d (3.2-0ubuntu2) natty; urgency=low

  * merge unity-2d-default-settings package as new unity-2d toplevel 
    package.
  * fix various typos in package descriptions (LP: #703170)

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 26 Jan 2011 18:27:04 +0100

unity-2d (3.2-0ubuntu1) natty; urgency=low

  * switch to proper upstream versioning, we are actually at 3.2 not 1.0

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 21 Jan 2011 14:39:01 +0100

unity-2d (0.1-0ubuntu4) natty; urgency=low

  * add Vcs-Bzr location to debian/control
  * update branch location in debian/copyright
  * pull in some upstream fixes

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 21 Jan 2011 13:11:45 +0100

unity-2d (0.1-0ubuntu3) natty; urgency=low

  * drop the unity-place-files and unity-place-applications recommends and 
    dependencies as these are uninstallable in natty right now

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 17 Jan 2011 15:28:20 +0100

unity-2d (0.1-0ubuntu2) natty; urgency=low
